--[[
    We'll want to watch the values in this file so we can remove it upon release.  Some things will definitely be added by then.
    Some might not.  Anything that relies on something that doesn't come back will need to be removed or modified.  Anything that
    does come back will just need to be removed from here.
]]

-- classic currently has no combat ratings.  Delete usages instead if none added at release.
CR_WEAPON_SKILL = 1;
CR_DEFENSE_SKILL = 2;
CR_DODGE = 3;
CR_PARRY = 4;
CR_BLOCK = 5;
CR_HIT_MELEE = 6;
CR_HIT_RANGED = 7;
CR_HIT_SPELL = 8;
CR_CRIT_MELEE = 9;
CR_CRIT_RANGED = 10;
CR_CRIT_SPELL = 11;
COMBAT_RATING_RESILIENCE_CRIT_TAKEN = 15;
COMBAT_RATING_RESILIENCE_PLAYER_DAMAGE_TAKEN = 16;
CR_HASTE_MELEE = 18;
CR_HASTE_RANGED = 19;
CR_HASTE_SPELL = 20;
CR_WEAPON_SKILL_RANGED = 23;
CR_EXPERTISE = 24;
CR_ARMOR_PENETRATION = 25;
CR_MASTERY = 26;
CR_MULTISTRIKE = 11;
CR_LIFESTEAL = 16;
CR_AVOIDANCE = 20;

function NoOp() end

--Quest POIs.  I don't recall them from launch, but could be back.
QuestHasPOIInfo = NoOp

--other temporary fixes to unfix on release
--[[
    PLAYER_TALENT_UPDATE likely exists again
]]

-- I think this is not coming back, but shim for now
C_MountJournal = {
    GetMountIDs  = function() return {} end
}

--[[These things have been removed along with any DGV functionality that used them, because I expect they're gone for good.
    PlayerHasToy -toy button removed
    VEHICLE_UPDATE -route recalculation on this event removed
    ACHIEVEMENT_EARNED and CRITERIA_UPDATE -no chievos
    GARRISON_MISSION_NPC_OPENED -definitely no garrison
    ACTIVE_TALENT_GROUP_CHANGED -talents will be back, but I think this has to do with talent switching, which won't be
    C_EquipmentSet/GetNumEquipmentSets/ Equipment sets won't be in classic.  Gear scoring will be relevant, but either
    GetSpecialization
]]